Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStandardItem

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.gui.QStandardItem

All Implemented Interfaces:
  QtJambiInterface

    public class QStandardItem

extends QtJambiObject

The `QStandardItem` class provides an item for use with the `QStandardItemModel` class. Items usually contain text, icons, or checkboxes.

Each item can have its own background brush which is set with the `setBackground()` function. The current background brush can be found with `background()`. The text label for each item can be rendered with its own font and brush. These are specified with the `setFont()` and `setForeground()` functions, and read with `font()` and `foreground()`.

By default, items are enabled, editable, selectable, checkable, and can be used both as the source of a drag and drop operation and as a drop target. Each item's flags can be changed by calling `setFlags()`. Checkable items can be checked and unchecked with the `setCheckState()` function. The corresponding `checkState()` function indicates whether the item is currently checked.

You can store application-specific data in an item by calling `setData()`.

Each item can have a two-dimensional table of child items. This makes it possible to build hierarchies of items. The typical hierarchy is the tree, in which case the child table is a table with a single column (a list).

The dimensions of the child table can be set with `setRowCount()` and `setColumnCount()`. Items can be positioned in the child table with `setChild()`. Get a pointer to a child item with `child()`. New rows and columns of children can also be inserted with `insertRow()` and `insertColumn()`, or appended with `appendRow()` and `appendColumn()`. When using the append and insert functions, the dimensions of the child table will grow as needed.

An existing row of children can be removed with `removeRow()` or `takeRow()`; correspondingly, a column can be removed with `removeColumn()` or `takeColumn()`.

An item's children can be sorted by calling `sortChildren()`.

## Subclassing

When subclassing `QStandardItem` to provide custom items, it is possible to define new types for them so that they can be distinguished from the base class. The `type()` function should be reimplemented to return a new type value equal to or greater than `UserType` .

Reimplement `data()` and `setData()` if you want to perform custom handling of data queries and/or control how an item's data is represented.

Reimplement `clone()` if you want `QStandardItemModel` to be able to create instances of your custom item class on demand (see `QStandardItemModel::setItemPrototype()`).

Reimplement `read()` and `write()` if you want to control how items are represented in their serialized form.

Reimplement operator<() if you want to control the semantics of item comparison. operator<() determines the sorted order when sorting items with `sortChildren()` or with `QStandardItemModel::sort()`.

See also:
  `QStandardItemModel`, Item View Convenience Classes, and Model/View Programming.

Nested Class Summary
`static class` | `QStandardItem.ItemType` This enum describes the types that are used to describe tree widget items.

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`` | `QStandardItem()` Constructs an item.
`` | `QStandardItem(int rows)` Constructs an item with `rows` rows and `columns` columns of child items.
`` | `QStandardItem(int rows, int columns)` Constructs an item with `rows` rows and `columns` columns of child items.
`` | `QStandardItem(QIcon icon, java.lang.String text)` Constructs an item with the given `icon` and `text`.
`protected` | `QStandardItem(QStandardItem other)` Constructs a copy of `other`.
`` | `QStandardItem(java.lang.String text)` Constructs an item with the given `text`.

Method Summary
`java.lang.String` | `accessibleDescription()` Returns the item's accessible description.
`java.lang.String` | `accessibleText()` Returns the item's accessible text.
`void` | `appendColumn(java.util.List items)` Appends a column containing `items`.
`void` | `appendRow(java.util.List items)` Appends a row containing `items`.
`void` | `appendRow(QStandardItem item)` Appends a row containing `item`.
`void` | `appendRows(java.util.List items)` Appends rows containing `items`.
`QBrush` | `background()` Returns the brush used to render the item's background.
`Qt.CheckState` | `checkState()` Returns the checked state of the item.
`QStandardItem` | `child(int row)` Returns the child item at (`row`, `column`) if one has been set; otherwise returns 0.
`QStandardItem` | `child(int row, int column)` Returns the child item at (`row`, `column`) if one has been set; otherwise returns 0.
`QStandardItem` | `clone()` This method is reimplemented for internal reasons
`int` | `column()` Returns the column where the item is located in its parent's child table, or -1 if the item has no parent.
`int` | `columnCount()` Returns the number of child item columns that the item has.
`java.lang.Object` | `data()` Returns the item's data for the given `role`, or an invalid `QVariant` if there is no data for the role.
`java.lang.Object` | `data(int role)` Returns the item's data for the given `role`, or an invalid `QVariant` if there is no data for the role.
`protected void` | `emitDataChanged()` Causes the model associated with this item to emit a `dataChanged` () signal for this item.
`Qt.ItemFlags` | `flags()` Returns the item flags for the item.
`QFont` | `font()` Returns the font used to render the item's text.
`QBrush` | `foreground()` Returns the brush used to render the item's foreground (e.
`boolean` | `hasChildren()` Returns true if this item has any children; otherwise returns false.
`QIcon` | `icon()` Returns the item's icon.
`com.trolltech.qt.core.QModelIndex` | `index()` Returns the QModelIndex associated with this item.
`void` | `insertColumn(int column, java.util.List items)` Inserts a column at `column` containing `items`.
`void` | `insertColumns(int column, int count)` Inserts `count` columns of child items at column `column`.
`void` | `insertRow(int row, java.util.List items)` Inserts a row at `row` containing `items`.
`void` | `insertRow(int row, QStandardItem item)` Inserts a row at `row` containing `item`.
`void` | `insertRows(int row, int count)` Inserts `count` rows of child items at row `row`.
`void` | `insertRows(int row, java.util.List items)` Inserts `items` at `row`.
`boolean` | `isCheckable()` Returns whether the item is user-checkable.
`boolean` | `isDragEnabled()` Returns whether the item is drag enabled.
`boolean` | `isDropEnabled()` Returns whether the item is drop enabled.
`boolean` | `isEditable()` Returns whether the item can be edited by the user.
`boolean` | `isEnabled()` Returns whether the item is enabled.
`boolean` | `isSelectable()` Returns whether the item is selectable by the user.
`boolean` | `isTristate()` Returns whether the item is tristate; that is, if it's checkable with three separate states.
`QStandardItemModel` | `model()` Returns the `QStandardItemModel` that this item belongs to.
`boolean` | `operator_less(QStandardItem other)` Returns true if this item is less than `other`; otherwise returns false.
`QStandardItem` | `parent()` Returns the item's parent item, or 0 if the item has no parent.
`void` | `read(QDataStream in)` Reads the item from stream `in`.
`void` | `readFrom(QDataStream in)` Reads a QStandardItem
`void` | `removeColumn(int column)` Removes the given `column`.
`void` | `removeColumns(int column, int count)` Removes `count` columns at column `column`.
`void` | `removeRow(int row)` Removes the given `row`.
`void` | `removeRows(int row, int count)` Removes `count` rows at row `row`.
`int` | `row()` Returns the row where the item is located in its parent's child table, or -1 if the item has no parent.
`int` | `rowCount()` Returns the number of child item rows that the item has.
`void` | `setAccessibleDescription(java.lang.String accessibleDescription)` Sets the item's accessible description to the string specified by `accessibleDescription`.
`void` | `setAccessibleText(java.lang.String accessibleText)` Sets the item's accessible text to the string specified by `accessibleText`.
`void` | `setBackground(QBrush brush)` Sets the item's background brush to the specified `brush`.
`void` | `setCheckable(boolean checkable)` Sets whether the item is user-checkable.
`void` | `setCheckState(Qt.CheckState checkState)` Sets the check state of the item to be `state`.
`void` | `setChild(int row, int column, QStandardItem item)` Sets the child item at (`row`, `column`) to `item`.
`void` | `setChild(int row, QStandardItem item)` Sets the child at `row` to `item`.
`void` | `setColumnCount(int columns)` Sets the number of child item columns to `columns`.
`void` | `setData(java.lang.Object value)` Sets the item's data for the given `role` to the specified `value`.
`void` | `setData(java.lang.Object value, int role)` Sets the item's data for the given `role` to the specified `value`.
`void` | `setDragEnabled(boolean dragEnabled)` Sets whether the item is drag enabled.
`void` | `setDropEnabled(boolean dropEnabled)` Sets whether the item is drop enabled.
`void` | `setEditable(boolean editable)` Sets whether the item is editable.
`void` | `setEnabled(boolean enabled)` Sets whether the item is enabled.
`void` | `setFlags(Qt.ItemFlag[] flags)` Sets the item flags for the item to `flags`.
`void` | `setFlags(Qt.ItemFlags flags)` Sets the item flags for the item to `flags`.
`void` | `setFont(QFont font)` Sets the font used to display the item's text to the given `font`.
`void` | `setForeground(QBrush brush)` Sets the brush used to display the item's foreground (e.
`void` | `setIcon(QIcon icon)` Sets the item's icon to the `icon` specified.
`void` | `setRowCount(int rows)` Sets the number of child item rows to `rows`.
`void` | `setSelectable(boolean selectable)` Sets whether the item is selectable.
`void` | `setSizeHint(QSize sizeHint)` Sets the size hint for the item to be `size`.
`void` | `setStatusTip(java.lang.String statusTip)` Sets the item's status tip to the string specified by `statusTip`.
`void` | `setText(java.lang.String text)` Sets the item's text to the `text` specified.
`void` | `setTextAlignment(Qt.Alignment textAlignment)` Sets the text alignment for the item's text to the `alignment` specified.
`void` | `setTextAlignment(Qt.AlignmentFlag[] textAlignment)` Sets the text alignment for the item's text to the `alignment` specified.
`void` | `setToolTip(java.lang.String toolTip)` Sets the item's tooltip to the string specified by `toolTip`.
`void` | `setTristate(boolean tristate)` Sets whether the item is tristate.
`void` | `setWhatsThis(java.lang.String whatsThis)` Sets the item's "What's This?" help to the string specified by `whatsThis`.
`QSize` | `sizeHint()` Returns the size hint set for the item, or an invalid `QSize` if no size hint has been set.
`void` | `sortChildren(int column)` Sorts the children of the item using the given `order`, by the values in the given `column`.
`void` | `sortChildren(int column, Qt.SortOrder order)` Sorts the children of the item using the given `order`, by the values in the given `column`.
`java.lang.String` | `statusTip()` Returns the item's status tip.
`QStandardItem` | `takeChild(int row)` Removes the child item at (`row`, `column`) without deleting it, and returns a pointer to the item.
`QStandardItem` | `takeChild(int row, int column)` Removes the child item at (`row`, `column`) without deleting it, and returns a pointer to the item.
`java.util.List` | `takeColumn(int column)` Removes `column` without deleting the column items, and returns a list of pointers to the removed items.
`java.util.List` | `takeRow(int row)` Removes `row` without deleting the row items, and returns a list of pointers to the removed items.
`java.lang.String` | `text()` Returns the item's text.
`Qt.Alignment` | `textAlignment()` Returns the text alignment for the item's text.
`java.lang.String` | `toolTip()` Returns the item's tooltip.
`int` | `type()` Returns the type of this item.
`java.lang.String` | `whatsThis()` Returns the item's "What's This?" help.
`void` | `write(QDataStream out)` Writes the item to stream `out`.
`void` | `writeTo(QDataStream out)` Writes thisQStandardItem

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStandardItem

    public QStandardItem()

  Constructs an item.

### QStandardItem

    public QStandardItem(QIcon icon,
                         java.lang.String text)

  Constructs an item with the given `icon` and `text`.

### QStandardItem

    protected QStandardItem(QStandardItem other)

  Constructs a copy of `other`. Note that `model()` is not copied.

  This function is useful when reimplementing `clone()`.

### QStandardItem

    public QStandardItem(java.lang.String text)

  Constructs an item with the given `text`.

### QStandardItem

    public QStandardItem(int rows)

  Constructs an item with `rows` rows and `columns` columns of child items.

### QStandardItem

    public QStandardItem(int rows,
                         int columns)

  Constructs an item with `rows` rows and `columns` columns of child items.

Method Detail

### accessibleDescription

    public final java.lang.String accessibleDescription()

  Returns the item's accessible description.

  The accessible description is used by assistive technologies (i.e. for users who cannot use conventional means of interaction).

See also:
  `setAccessibleDescription()`, and `accessibleText()`.

### accessibleText

    public final java.lang.String accessibleText()

  Returns the item's accessible text.

  The accessible text is used by assistive technologies (i.e. for users who cannot use conventional means of interaction).

See also:
  `setAccessibleText()`, and `accessibleDescription()`.

### appendColumn

    public final void appendColumn(java.util.List items)

  Appends a column containing `items`. If necessary, the row count is increased to the size of `items`.

See also:
  `insertColumn()`.

### appendRow

    public final void appendRow(QStandardItem item)

  Appends a row containing `item`.

  When building a list or a tree that has only one column, this function provides a convenient way to append a single new item.

### appendRow

    public final void appendRow(java.util.List items)

  Appends a row containing `items`. If necessary, the column count is increased to the size of `items`.

See also:
  `insertRow()`.

### appendRows

    public final void appendRows(java.util.List items)

  Appends rows containing `items`. The column count will not change.

See also:
  `insertRow()`.

### background

    public final QBrush background()

  Returns the brush used to render the item's background.

See also:
  `foreground()`, and `setBackground()`.

### checkState

    public final Qt.CheckState checkState()

  Returns the checked state of the item.

See also:
  `setCheckState()`, and `isCheckable()`.

### child

    public final QStandardItem child(int row)

  Returns the child item at (`row`, `column`) if one has been set; otherwise returns 0.

See also:
  `setChild()`, `takeChild()`, and `parent()`.

### child

    public final QStandardItem child(int row,
                                     int column)

  Returns the child item at (`row`, `column`) if one has been set; otherwise returns 0.

See also:
  `setChild()`, `takeChild()`, and `parent()`.

### column

    public final int column()

  Returns the column where the item is located in its parent's child table, or -1 if the item has no parent.

See also:
  `row()`, and `parent()`.

### columnCount

    public final int columnCount()

  Returns the number of child item columns that the item has.

See also:
  `setColumnCount()`, and `rowCount()`.

### emitDataChanged

    protected final void emitDataChanged()

  Causes the model associated with this item to emit a `dataChanged` () signal for this item.

  You normally only need to call this function if you have subclassed `QStandardItem` and reimplemented `data()` and/or `setData()`.

See also:
  `setData()`.

### flags

    public final Qt.ItemFlags flags()

  Returns the item flags for the item.

  The item flags determine how the user can interact with the item.

  By default, items are enabled, editable, selectable, checkable, and can be used both as the source of a drag and drop operation and as a drop target.

See also:
  `setFlags()`.

### font

    public final QFont font()

  Returns the font used to render the item's text.

See also:
  `setFont()`.

### foreground

    public final QBrush foreground()

  Returns the brush used to render the item's foreground (e. . text).

See also:
  `setForeground()`, and `background()`.

### hasChildren

    public final boolean hasChildren()

  Returns true if this item has any children; otherwise returns false.

See also:
  `rowCount()`, `columnCount()`, and `child()`.

### icon

    public final QIcon icon()

  Returns the item's icon.

See also:
  `setIcon()`, and `iconSize`.

### index

    public final com.trolltech.qt.core.QModelIndex index()

  Returns the QModelIndex associated with this item.

  When you need to invoke item functionality in a QModelIndex-based API (e.g. `QAbstractItemView`), you can call this function to obtain an index that corresponds to the item's location in the model.

  If the item is not associated with a model, an invalid QModelIndex is returned.

See also:
  `model()`, and `QStandardItemModel::itemFromIndex()`.

### insertColumn

    public final void insertColumn(int column,
                                   java.util.List items)

  Inserts a column at `column` containing `items`. If necessary, the row count is increased to the size of `items`.

See also:
  `insertColumns()`, and `insertRow()`.

### insertColumns

    public final void insertColumns(int column,
                                    int count)

  Inserts `count` columns of child items at column `column`.

See also:
  `insertColumn()`, and `insertRows()`.

### insertRow

    public final void insertRow(int row,
                                QStandardItem item)

  Inserts a row at `row` containing `item`.

  When building a list or a tree that has only one column, this function provides a convenient way to insert a single new item.

### insertRow

    public final void insertRow(int row,
                                java.util.List items)

  Inserts a row at `row` containing `items`. If necessary, the column count is increased to the size of `items`.

See also:
  `insertRows()`, and `insertColumn()`.

### insertRows

    public final void insertRows(int row,
                                 java.util.List items)

  Inserts `items` at `row`. The column count wont be changed.

See also:
  `insertRow()`, and `insertColumn()`.

### insertRows

    public final void insertRows(int row,
                                 int count)

  Inserts `count` rows of child items at row `row`.

See also:
  `insertRow()`, and `insertColumns()`.

### isCheckable

    public final boolean isCheckable()

  Returns whether the item is user-checkable.

  The default value is false.

See also:
  `setCheckable()`, `checkState()`, and `isTristate()`.

### isDragEnabled

    public final boolean isDragEnabled()

  Returns whether the item is drag enabled. An item that is drag enabled can be dragged by the user.

  The default value is true.

  Note that item dragging must be enabled in the view for dragging to work; see `QAbstractItemView::dragEnabled`.

See also:
  `setDragEnabled()`, `isDropEnabled()`, and `flags()`.

### isDropEnabled

    public final boolean isDropEnabled()

  Returns whether the item is drop enabled. When an item is drop enabled, it can be used as a drop target.

  The default value is true.

See also:
  `setDropEnabled()`, `isDragEnabled()`, and `flags()`.

### isEditable

    public final boolean isEditable()

  Returns whether the item can be edited by the user.

  When an item is editable (and enabled), the user can edit the item by invoking one of the view's edit triggers; see `QAbstractItemView::editTriggers`.

  The default value is true.

See also:
  `setEditable()`, and `flags()`.

### isEnabled

    public final boolean isEnabled()

  Returns whether the item is enabled.

  When an item is enabled, the user can interact with it. The possible types of interaction are specified by the other item flags, such as `isEditable()` and `isSelectable()`.

  The default value is true.

See also:
  `setEnabled()`, and `flags()`.

### isSelectable

    public final boolean isSelectable()

  Returns whether the item is selectable by the user.

  The default value is true.

See also:
  `setSelectable()`, and `flags()`.

### isTristate

    public final boolean isTristate()

  Returns whether the item is tristate; that is, if it's checkable with three separate states.

  The default value is false.

See also:
  `setTristate()`, `isCheckable()`, and `checkState()`.

### model

    public final QStandardItemModel model()

  Returns the `QStandardItemModel` that this item belongs to.

  If the item is not a child of another item that belongs to the model, this function returns 0.

See also:
  `index()`.

### writeTo

    public final void writeTo(QDataStream out)

  Writes thisQStandardItem

### readFrom

    public final void readFrom(QDataStream in)

  Reads a QStandardItem

### parent

    public final QStandardItem parent()

  Returns the item's parent item, or 0 if the item has no parent.

See also:
  `child()`.

### removeColumn

    public final void removeColumn(int column)

  Removes the given `column`. The items that were in the column are deleted.

See also:
  `takeColumn()`, `removeColumns()`, and `removeRow()`.

### removeColumns

    public final void removeColumns(int column,
                                    int count)

  Removes `count` columns at column `column`. The items that were in those columns are deleted.

See also:
  `removeColumn()`, and `removeRows()`.

### removeRow

    public final void removeRow(int row)

  Removes the given `row`. The items that were in the row are deleted.

See also:
  `takeRow()`, `removeRows()`, and `removeColumn()`.

### removeRows

    public final void removeRows(int row,
                                 int count)

  Removes `count` rows at row `row`. The items that were in those rows are deleted.

See also:
  `removeRow()`, and `removeColumn()`.

### row

    public final int row()

  Returns the row where the item is located in its parent's child table, or -1 if the item has no parent.

See also:
  `column()`, and `parent()`.

### rowCount

    public final int rowCount()

  Returns the number of child item rows that the item has.

See also:
  `setRowCount()`, and `columnCount()`.

### setAccessibleDescription

    public final void setAccessibleDescription(java.lang.String accessibleDescription)

  Sets the item's accessible description to the string specified by `accessibleDescription`.

  The accessible description is used by assistive technologies (i.e. for users who cannot use conventional means of interaction).

See also:
  `accessibleDescription()`, and `setAccessibleText()`.

### setAccessibleText

    public final void setAccessibleText(java.lang.String accessibleText)

  Sets the item's accessible text to the string specified by `accessibleText`.

  The accessible text is used by assistive technologies (i.e. for users who cannot use conventional means of interaction).

See also:
  `accessibleText()`, and `setAccessibleDescription()`.

### setBackground

    public final void setBackground(QBrush brush)

  Sets the item's background brush to the specified `brush`.

See also:
  `background()`, and `setForeground()`.

### setCheckState

    public final void setCheckState(Qt.CheckState checkState)

  Sets the check state of the item to be `state`.

See also:
  `checkState()`, and `setCheckable()`.

### setCheckable

    public final void setCheckable(boolean checkable)

  Sets whether the item is user-checkable. If `checkable` is true, the item can be checked by the user; otherwise, the user cannot check the item.

  The item delegate will render a checkable item with a check box next to the item's text.

See also:
  `isCheckable()`, `setCheckState()`, and `setTristate()`.

### setChild

    public final void setChild(int row,
                               QStandardItem item)

  Sets the child at `row` to `item`.

### setChild

    public final void setChild(int row,
                               int column,
                               QStandardItem item)

  Sets the child item at (`row`, `column`) to `item`. This item (the parent item) takes ownership of `item`. If necessary, the row count and column count are increased to fit the item.

See also:
  `child()`.

### setColumnCount

    public final void setColumnCount(int columns)

  Sets the number of child item columns to `columns`. If this is less than `columnCount()`, the data in the unwanted columns is discarded.

See also:
  `columnCount()`, and `setRowCount()`.

### setDragEnabled

    public final void setDragEnabled(boolean dragEnabled)

  Sets whether the item is drag enabled. If `dragEnabled` is true, the item can be dragged by the user; otherwise, the user cannot drag the item.

  Note that you also need to ensure that item dragging is enabled in the view; see `QAbstractItemView::dragEnabled`.

See also:
  `isDragEnabled()`, `setDropEnabled()`, and `setFlags()`.

### setDropEnabled

    public final void setDropEnabled(boolean dropEnabled)

  Sets whether the item is drop enabled. If `dropEnabled` is true, the item can be used as a drop target; otherwise, it cannot.

  Note that you also need to ensure that drops are enabled in the view; see `QWidget::acceptDrops()`; and that the model supports the desired drop actions; see `QAbstractItemModel::supportedDropActions()`.

See also:
  `isDropEnabled()`, `setDragEnabled()`, and `setFlags()`.

### setEditable

    public final void setEditable(boolean editable)

  Sets whether the item is editable. If `editable` is true, the item can be edited by the user; otherwise, the user cannot edit the item.

  How the user can edit items in a view is determined by the view's edit triggers; see `QAbstractItemView::editTriggers`.

See also:
  `isEditable()`, and `setFlags()`.

### setEnabled

    public final void setEnabled(boolean enabled)

  Sets whether the item is enabled. If `enabled` is true, the item is enabled, meaning that the user can interact with the item; if `enabled` is false, the user cannot interact with the item.

  This flag takes presedence over the other item flags; e.g. if an item is not enabled, it cannot be selected by the user, even if the `Qt::ItemIsSelectable` flag has been set.

See also:
  `isEnabled()`, `Qt::ItemIsEnabled` , and `setFlags()`.

### setFlags

    public final void setFlags(Qt.ItemFlag[] flags)

  Sets the item flags for the item to `flags`.

  The item flags determine how the user can interact with the item. This is often used to disable an item.

See also:
  `flags()`, and `setData()`.

### setFlags

    public final void setFlags(Qt.ItemFlags flags)

  Sets the item flags for the item to `flags`.

  The item flags determine how the user can interact with the item. This is often used to disable an item.

See also:
  `flags()`, and `setData()`.

### setFont

    public final void setFont(QFont font)

  Sets the font used to display the item's text to the given `font`.

See also:
  `font()`, `setText()`, and `setForeground()`.

### setForeground

    public final void setForeground(QBrush brush)

  Sets the brush used to display the item's foreground (e. . text) to the given `brush`.

See also:
  `foreground()`, `setBackground()`, and `setFont()`.

### setIcon

    public final void setIcon(QIcon icon)

  Sets the item's icon to the `icon` specified.

See also:
  `icon()`.

### setRowCount

    public final void setRowCount(int rows)

  Sets the number of child item rows to `rows`. If this is less than `rowCount()`, the data in the unwanted rows is discarded.

See also:
  `rowCount()`, and `setColumnCount()`.

### setSelectable

    public final void setSelectable(boolean selectable)

  Sets whether the item is selectable. If `selectable` is true, the item can be selected by the user; otherwise, the user cannot select the item.

  You can control the selection behavior and mode by manipulating their view properties; see `QAbstractItemView::selectionMode` and `QAbstractItemView::selectionBehavior`.

See also:
  `isSelectable()`, and `setFlags()`.

### setSizeHint

    public final void setSizeHint(QSize sizeHint)

  Sets the size hint for the item to be `size`. If no size hint is set, the item delegate will compute the size hint based on the item data.

See also:
  `sizeHint()`.

### setStatusTip

    public final void setStatusTip(java.lang.String statusTip)

  Sets the item's status tip to the string specified by `statusTip`.

See also:
  `statusTip()`, `setToolTip()`, and `setWhatsThis()`.

### setText

    public final void setText(java.lang.String text)

  Sets the item's text to the `text` specified.

See also:
  `text()`, `setFont()`, and `setForeground()`.

### setTextAlignment

    public final void setTextAlignment(Qt.AlignmentFlag[] textAlignment)

  Sets the text alignment for the item's text to the `alignment` specified.

See also:
  `textAlignment()`.

### setTextAlignment

    public final void setTextAlignment(Qt.Alignment textAlignment)

  Sets the text alignment for the item's text to the `alignment` specified.

See also:
  `textAlignment()`.

### setToolTip

    public final void setToolTip(java.lang.String toolTip)

  Sets the item's tooltip to the string specified by `toolTip`.

See also:
  `toolTip()`, `setStatusTip()`, and `setWhatsThis()`.

### setTristate

    public final void setTristate(boolean tristate)

  Sets whether the item is tristate. If `tristate` is true, the item is checkable with three separate states; otherwise, the item is checkable with two states. (Note that this also requires that the item is checkable; see `isCheckable()`.)

See also:
  `isTristate()`, `setCheckable()`, and `setCheckState()`.

### setWhatsThis

    public final void setWhatsThis(java.lang.String whatsThis)

  Sets the item's "What's This?" help to the string specified by `whatsThis`.

See also:
  `whatsThis()`, `setStatusTip()`, and `setToolTip()`.

### sizeHint

    public final QSize sizeHint()

  Returns the size hint set for the item, or an invalid `QSize` if no size hint has been set.

  If no size hint has been set, the item delegate will compute the size hint based on the item data.

See also:
  `setSizeHint()`.

### sortChildren

    public final void sortChildren(int column)

  Sorts the children of the item using the given `order`, by the values in the given `column`.

  Note: This function is recursive, therefore it sorts the children of the item, its grandchildren, etc.

See also:
  operator<().

### sortChildren

    public final void sortChildren(int column,
                                   Qt.SortOrder order)

  Sorts the children of the item using the given `order`, by the values in the given `column`.

  Note: This function is recursive, therefore it sorts the children of the item, its grandchildren, etc.

See also:
  operator<().

### statusTip

    public final java.lang.String statusTip()

  Returns the item's status tip.

See also:
  `setStatusTip()`, `toolTip()`, and `whatsThis()`.

### takeChild

    public final QStandardItem takeChild(int row)

  Removes the child item at (`row`, `column`) without deleting it, and returns a pointer to the item. If there was no child at the given location, then this function returns 0.

  Note that this function, unlike `takeRow()` and `takeColumn()`, does not affect the dimensions of the child table.

See also:
  `child()`, `takeRow()`, and `takeColumn()`.

### takeChild

    public final QStandardItem takeChild(int row,
                                         int column)

  Removes the child item at (`row`, `column`) without deleting it, and returns a pointer to the item. If there was no child at the given location, then this function returns 0.

  Note that this function, unlike `takeRow()` and `takeColumn()`, does not affect the dimensions of the child table.

See also:
  `child()`, `takeRow()`, and `takeColumn()`.

### takeColumn

    public final java.util.List takeColumn(int column)

  Removes `column` without deleting the column items, and returns a list of pointers to the removed items. For items in the column that have not been set, the corresponding pointers in the list will be 0.

See also:
  `removeColumn()`, `insertColumn()`, and `takeRow()`.

### takeRow

    public final java.util.List takeRow(int row)

  Removes `row` without deleting the row items, and returns a list of pointers to the removed items. For items in the row that have not been set, the corresponding pointers in the list will be 0.

See also:
  `removeRow()`, `insertRow()`, and `takeColumn()`.

### text

    public final java.lang.String text()

  Returns the item's text. This is the text that's presented to the user in a view.

See also:
  `setText()`.

### textAlignment

    public final Qt.Alignment textAlignment()

  Returns the text alignment for the item's text.

See also:
  `setTextAlignment()`.

### toolTip

    public final java.lang.String toolTip()

  Returns the item's tooltip.

See also:
  `setToolTip()`, `statusTip()`, and `whatsThis()`.

### whatsThis

    public final java.lang.String whatsThis()

  Returns the item's "What's This?" help.

See also:
  `setWhatsThis()`, `toolTip()`, and `statusTip()`.

### clone

    public QStandardItem clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `java.lang.Object`

### data

    public final java.lang.Object data()

  Returns the item's data for the given `role`, or an invalid `QVariant` if there is no data for the role.

  Note: The default implementation treats `Qt::EditRole` and `Qt::DisplayRole` as referring to the same data.

See also:
  `setData()`.

### data

    public java.lang.Object data(int role)

  Returns the item's data for the given `role`, or an invalid `QVariant` if there is no data for the role.

  Note: The default implementation treats `Qt::EditRole` and `Qt::DisplayRole` as referring to the same data.

See also:
  `setData()`.

### operator_less

    public boolean operator_less(QStandardItem other)

  Returns true if this item is less than `other`; otherwise returns false.

  The default implementation uses the data for the item's sort role (see `QStandardItemModel::sortRole`) to perform the comparison if the item belongs to a model; otherwise, the data for the item's `Qt::DisplayRole` (`text()`) is used to perform the comparison.

  `sortChildren()` and `QStandardItemModel::sort()` use this function when sorting items. If you want custom sorting, you can subclass `QStandardItem` and reimplement this function.

### read

    public void read(QDataStream in)

  Reads the item from stream `in`. Only the data and flags of the item are read, not the child items.

See also:
  `write()`.

### setData

    public final void setData(java.lang.Object value)

  Sets the item's data for the given `role` to the specified `value`.

  If you subclass `QStandardItem` and reimplement this function, your reimplementation should call `emitDataChanged()` if you do not call the base implementation of `setData()`. This will ensure that e.g. views using the model are notified of the changes.

  Note: The default implementation treats `Qt::EditRole` and `Qt::DisplayRole` as referring to the same data.

See also:
  `Qt::ItemDataRole` , `data()`, and `setFlags()`.

### setData

    public void setData(java.lang.Object value,
                        int role)

  Sets the item's data for the given `role` to the specified `value`.

  If you subclass `QStandardItem` and reimplement this function, your reimplementation should call `emitDataChanged()` if you do not call the base implementation of `setData()`. This will ensure that e.g. views using the model are notified of the changes.

  Note: The default implementation treats `Qt::EditRole` and `Qt::DisplayRole` as referring to the same data.

See also:
  `Qt::ItemDataRole` , `data()`, and `setFlags()`.

### type

    public int type()

  Returns the type of this item. The type is used to distinguish custom items from the base class. When subclassing `QStandardItem`, you should reimplement this function and return a new value greater than or equal to `UserType` .

See also:
  `QStandardItem::Type` .

### write

    public void write(QDataStream out)

  Writes the item to stream `out`. Only the data and flags of the item are written, not the child items.

See also:
  `read()`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD